
; extended Win32 programming headers with parameters count checking (WIDE)

include '%fasminc%/win32wx.inc'

macro invoke proc,[arg]
 { common local ..count
    ..count = 0
    if ~ arg eq
   forward ..count = ..count + 1
   common
    end if
    if defined proc#%
     if ..count <> proc#%
      display "error: invalid count of parameters for API call.",0Dh,0Ah
      local halt
      halt
     end if
    end if
    invoke proc,arg
 }

include '%fasminc%/pcount/kernel32.inc'
include '%fasminc%/pcount/user32.inc'
include '%fasminc%/pcount/gdi32.inc'
include '%fasminc%/pcount/advapi32.inc'
include '%fasminc%/pcount/comctl32.inc'
include '%fasminc%/pcount/comdlg32.inc'
include '%fasminc%/pcount/shell32.inc'
include '%fasminc%/pcount/wsock32.inc'
